2024-07-13 12:53 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0005808OoopsUp[WHDLoad Installs Games] slavepublic2022-09-25 20:37
Reporterretrogamer 
Assigned ToCFOUProject InfoOoops Up (Demonware)
http://www.whdload.de/games/OoopsUp.html
 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Summary0005808: Adress error appears when the "PRESS BUTTON TO START"appears on 68000 cpu
DescriptionAdress error appears when the "PRESS BUTTON TO START"appears on 68000 cpu

register file attatched.
TagsNo tags attached.
MachineA600
CPU68000
CPUSpeed7
ChipSetECS
GFXCardNone
ChipMem2 MB
FastMem0 MB
WorkbenchOS 3.0
KickROM40 - Kick 3.1
KickSoftNone
WHDLoad18.7
imported
Attached Files
  • ? file icon .whdl_register (3,558 bytes) 2022-09-23 16:26 -
    ************************* 26-Dec-15 16:07:03 ************************18.7.6366***
    Slave='OoopsUp.Slave' (1372 bytes)
    Resload     29B2D0 -   2A1E24 (  27476) at 29B2D0  GL=$2A6398
    Slave       288620 -   288B58 (   1336) at 288620  BaseMemSize=$80000
    attn=200(UAE,00) fc=-1 kn=0 cs=EE94 rw=1 zpt=-1 ep=0 ei=0
    setcpu=33D(DC,IC,SCB,ECB,BNC)
    
    Exception "Address Error" ($F00C) PC = $D4 Read from $9815
    
    $0000009c ori.b        #??$34,($29,a1)                ;$00006d05
    $000000a2 add.b        ($29).w,d1
    $000000a6 add.b        #$29,d1
    $000000aa add.w        d0,d1
    $000000ac ori.b        #??$44,($29,a1)                ;$00006d05
    $000000b2 add.w        a0,d1
    $000000b4 ori.b        #??$4c,($29,a1)                ;$00006d05
    $000000ba add.w        (a0),d1                        ;$000097ec
    $000000bc ori.b        #??$54,($29,a1)                ;$00006d05
    $000000c2 add.w        (a0)+,d1                       ;$000097ec
    $000000c4 ori.b        #??$5c,($29,a1)                ;$00006d05
    $000000ca add.w        -(a0),d1                       ;$000097ec
    $000000cc ori.b        #??$64,($29,a1)                ;$00006d05
    $000000d2 add.w        ($29,a0),d1                    ;$00009815
    $000000d6 add.w        ($29,a4),d1                    ;$00004af9
    $000000da add.w        ($29,a0,d0.w),d1               ;$0000983b
    $000000de add.w        ($29,a4,d0.w),d1               ;$00004b1f
    $000000e2 add.w        ($29).w,d1
    $000000e6 add.w        #$29,d1
    $000000ea add.l        d0,d1
    $000000ec ori.b        #??$84,($29,a1)                ;$00006d05
    $000000f2 add.l        a0,d1
    $000000f4 ori.b        #??$8c,($29,a1)                ;$00006d05
    $000000fa add.l        (a0),d1                        ;$000097ec
    $000000fc ori.b        #??$94,(2,a1)                  ;$00006cde
    $00000102 ori.b        #0,d0
    $00000106 ori.b        #0,d0
    $0000010a ori.b        #0,d0
    $0000010e ori.b        #0,d0
    
    exception stackframe:
    $000007E6 D2750000 9815D268 20000000 00D4
    regular stack:
    $000007F4 0000731C 00005B50 00004236 00000000 00000000 00000000 00000000 00000000
    $00000814 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
    $00000834 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
    $00000854 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
    $00000874 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
    
      ----0---- ----1---- ----2---- ----3---- ----4---- ----5---- ----6---- ----7----
    Dx       26     6EC6A      1901     7E406  FFFF0002      FFFF         0         0
    Ax     97EC      6CDC      97EC      71F6      4AD0     2EFF0    DFF000
    
                     TTSM III   XNZVC
    PC=      D422m  SR=%0010000000000000  USP=7FC00  1mSSP=7E6
    
             MEDRAAAABVCPSDT          YZ  PMRCBSDAAAA
    intena=%010000000010100022m dmacon=%1m0000011111111111 adkcon=$1100
    intreq=%0000001111000000
    vposr....A000  vhposr...0903  joy0dat..0000  joy1dat..0000  clxdat...8000  
    pot0dat..0000  pot1dat..0000  potinp...5500  serdatr..3800  dskbytr..0000  
    deniseid.FFFC  hhposr...0003  
       ciaa:     PI ROPS		   ciab:     PI ROPS
    	cra=0000000022m  ta=21FF<21FF	   cra=1m00000000  ta=FFFF<FFFF
    	    AII ROPS			    AII ROPS
    	crb=0000000022m  tb=21FF<21FF	   crb=1m00000000  tb=FFFF<FFFF
    	    10RTWCLO	  parallel	    DRCCDSOY      M3210HDS
    	pra=0111111022m  prb=1m1111111122m      pra=1m1111111122m  prb=1m11111111
           ddra=0000001122m ddrb=1m0000000022m     ddra=1m1100000022m ddrb=1m11111111
           event=0003E1  icr=00  sdr=00    event=04BCE7  icr=00  sdr=00
    
    ? file icon .whdl_register (3,558 bytes) 2022-09-23 16:26 +

-Relationships
+Relationships

-Notes

note ~0011769

CFOU (developer)

confirmed and fixed with v2.1

thanx for bug report
+Notes

-Issue History
Date Modified Username Field Change
2022-09-23 16:26 retrogamer New Issue
2022-09-23 16:26 retrogamer File Added: .whdl_register
2022-09-25 20:37 CFOU Assigned To => CFOU
2022-09-25 20:37 CFOU Status new => closed
2022-09-25 20:37 CFOU Resolution open => fixed
2022-09-25 20:37 CFOU Note Added: 0011769
+Issue History